/*****************************************************************************
 *   Copyright (C) 2010 Sebastian Boehm, seb@exse.net		             *
 *   Copyright [C] 2011 Christian Brandtner brandtner@brandtner.net                                                                        *
 *   This program is free software; you can redistribute it and/or modify    *
 *   it under the terms of the GNU General Public License as published by    *
 *   the Free Software Foundation; either version 2 of the License.          *
 *                                                                           *
 *   This program is distributed in the hope that it will be useful,         *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *   GNU General Public License for more details.                            *
 *                                                                           *
 *   You should have received a copy of the GNU General Public License       *
 *   along with this program; if not, write to the                           *
 *   Free Software Foundation, Inc.,                                         *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.               *
 *                                                                           *
 *   04/2011 Adding Multilanguage Support (Christian Brandtner) 	     *	
 *****************************************************************************/

#define PAGES 13
#define PARAM_COUNT 123
#define PARAM_LENGTH 15
#define PARAM_NUM_LANG 3

prog_char param_pages[PAGES][PARAM_NUM_LANG][PARAM_LENGTH]= // zeilen,zeichen+1
{
	{"Kanaele   ","Canaux    ","Channel   "},
	{"Main      ","Config    ","main      "},
	{"Stick     ","Manche    ","stick     "},
	{"Looping   ","Looping   ","Looping   "},
	{"Hoehe     ","Altitude  ","Altitude  "},
	{"Kamera    ","Camera    ","Camera    "},
	{"NaviCtrl  ","NaviCtrl  ","NaviCtrl  "},
	{"Ausgaenge ","Sorties   ","Outputs   "},
	{"Versch.   ","Divers    ","Divers    "},
	{"Gyro      ","Gyro      ","Gyro      "},
	{"Benutzer  ","Parametres","User      "},
	{"Achskoppl.","Coupl Axes","Coupl Axes"},
	{"Mixer     ","Config Mix","Config Mix"}
};


//Namen
prog_char  param_names[PARAM_COUNT][PARAM_NUM_LANG][PARAM_LENGTH]=
{
//    German            French			Englisch
   // group 0 (kanaele) 
	 {"Gas           ","Gaz           ","Throttle      "},
	 {"Gier          ","Lacet         ","Gier          "},
	 {"Nick          ","Tangage       ","Nick          "},
	 {"Roll          ","Roulis        ","Roll          "},
	 {"Poti 1        ","Poti 1        ","Poti 1        "},
	 {"Poti 2        ","Poti 2        ","Poti 2        "},
	 {"Poti 3        ","Poti 3        ","Poti 3        "},
	 {"Poti 4        ","Poti 4        ","Poti 4        "},
	 {"Poti 5        ","Poti 5        ","Poti 5        "},
	 {"Poti 6        ","Poti 6        ","Poti 6        "},
	 {"Poti 7        ","Poti 7        ","Poti 7        "},
	 {"Poti 8        ","Poti 8        ","Poti 8        "},
	 {"Motor Sich.Sch","Mot.Safety Sw.","Mot.Safety Sw."},
	 {"Erw. Sig. Pr. ","Ctrl Ren Recep","Enh. Sig.Check"},
	 {"Empfaenger Typ","Type Recepteur","Receiver Type "},


	// group 1 (main)
	
	 {"Hoehenregeler ","Ctrl Altitude ","Ctrl Altitude "},
	 {"GPS           ","GPS           ","GPS           "},
	 {"Kompass       ","Compas        ","Compass       "},
	 {"KompFest Ausr.","Maintien Cap  ","CompOrient.Fix"},
	 {"Erw. Sig. Pr. ","Ctrl Ren Recep","Sens.RcvSigVal"},
	 {"Achs(e.)koppl.","Deceuplage Axe","Axis Couping  "},
	 {"H\x03henF.Schalt.","Limit Vit. Rot","RotRate limit."},
	 {"Heading Hold  ","Orient. fixe  ","Nick/Roll     "},
	                                  
                                    
	 // group 2 (stick)                
                                    
	 {"Nick/Roll P   ","Roul/Tang P   ","Nick/Roll P   "},
	 {"Nick/Roll D   ","Roul/Tang D   ","Nick/Roll D   "},
	 {"Gier P        ","Lacet P       ","Gier P        "},
	 {"Externe Kontr.","Ctrl Externe  ","Extern Ctrl   "},

	 // group3 : looping

	 {"Looping oben  ","Looping Avant ","Looping up    "},
	 {"Looping unten ","Looping Arrier","Looping down  "},
	 {"Looping links ","Looping Gauche","Looping left  "},
	 {"Looping rechts","Looping Droite","Looping right "},
	 {"Gas Limit     ","Limite Gaz    ","Throttle Limit"},
	 {"Ansprechschw. ","Seuil Reponse ","Seuil Reponse "},
	 {"Hysterese     ","Hysteresis    ","Hysteresis    "},
	 {"Umkehrp. Nick ","Invers Roulis ","Nick Invers  "},
	 {"Umkehrp. Roll ","Invers Tangage","Roll Invers  "},
                                    
	// group 4 (hoehe)                 
	                                   
	 {"Hoehenregelung","Ctrl Altitude ","Altitude Ctrl "},
	 {"Y:HBeg,N:Vario","Y:LimH,N:Vario","Y:LimH,N:Vario"},
	 {"Schalter f. H.","Swith hauteur ","Switch f. High"},
	 {"akust. Vario  ","Vario acoustic","acoustic Vario"},
	 {"Sollh\x03he      ","Hauteur Max   ","Setpoint      "},
	 {"Min. Gas      ","Gaz min       ","min. throttle "},
	 {"Hoehe P       ","Altitude P    ","Altitude P    "},
	 {"Luftdruck D   ","Pression D    ","Barometric D  "},
	 {"Z-ACC         ","ACC Z         ","ACC Z         "},
	 {"Verst\x01rkung/R","Gain/Frequence","gain/rate     "},
	 {"Schwebegas +/-","Var vol stat  ","hoover varia. "},
	 {"GPS Z         ","GPS Z         ","GPS Z         "},
	 {"Stick Neutr. P","Pos Neutre Man","stick neutr. P"},
  
	 
	 // group 5 : kamera
	 
	 {"Nick S. Anst. ","Asser tangage ","nick serv ctrl"},
	 {"Nick Kompens. ","Comp tangage  ","nick compens. "},
	 {"Nick Umkehren ","Inverser dir  ","nick inv. dir."},
	 {"Nick Servo min","Servo min     ","nick servo min"},
	 {"Nick Servo max","servo max     ","nick servo max"},
	 {"Roll S. Anst. ","Asser roulis  ","roll serv ctrl"},
	 {"Roll Kompens. ","Comp tangage  ","roll compens. "},
	 {"Roll Umkehren ","Inverser dir  ","roll inv. dir."},
	 {"Roll Servo min","Servo min     ","roll servo min"},
	 {"Roll Servo max","servo max     ","roll servo max"},
	 {"Anst. Geschw. ","Taux refresh  ","servo refresh "},
	 {"Manuelle Gesch","mauell Speed  ","manuell Speed "},
	 {"Cam Richtung  ","Cam Orient    ","Cam Orient    "},
	 {"Servo 3       ","Servo 3       ","Servo 3       "},
	 {"Servo 4       ","Servo 4       ","Servo 4       "},
	 {"Servo 5       ","Servo 5       ","Servo 5       "},

  
	 // group 6 : navictrl
  
	 {"GPS           ","Activer GPS   ","enable GPS    "},
	 {"GPS Modus St. ","Def mode GPS  ","GPS mode contr"},
	 {"GPS Verstaerk.","Gain GPS      ","GPS Gain      "},
	 {"GPS St. Schw. ","Seuil manche  ","GPS stick thre"},
	 {"Min. Sat.     ","Nbre Min. Sat.","Min. Sat.     "},
	 {"GPS-P         ","GPS-P         ","GPS-P         "},
	 {"GPS-I         ","GPS-I         ","GPS-I         "},
	 {"GPS-D         ","GPS-D         ","GPS-D         "},
	 {"P Limit       ","Limite P      ","Limit  P      "},
	 {"I Limit       ","Limite I      ","Limit  I      "},
	 {"D Limit       ","Limite D      ","Limit  D      "},
	 {"GPS Acc       ","Accel GPS     ","GPS Acc       "},
	 {"GPS Windkorr. ","Correct vent  ","GPS Wind Corr."},
	 {"Bremswirkung  ","Compens vit   ","Speed compens."},
	 {"GPS max. Rad. ","Rayon GPS max ","GPS max.radius"},
	 {"GPS Winkel Li.","Limit angl GPS","GPS angl.limit"},
	 {"PH Login time ","Tps memoris   ","PH login time "},
  
	 
	 // group 7 : ausgaenge
	 
	 {"J16 Bitmaske  ","Bitmask S1    ","Out1 Bitmask  "},
	 {"J16 Timing    ","Horloge S1    ","Out1 timing   "},
	 {"J17 Bitmaske  ","Bitmask S2    ","Out2 Bitmask  "},
	 {"J17 Timing    ","Horloge S2    ","Out2 timing   "},
	 {"nur mit Motor ","Actif au repos","act. wi. motor"},
	 {"J16 Untersp. W","Al undervoltag","Out1 undervolt"},
	 {"aktiv         ","actif         ","activ         "},
	 {"J17 Untersp. W","Al undervoltag","Out2 undervolt"},
	 {"aktiv         ","actif         ","activ         "},
	 
	 
	 // group 8 : versch.
	 
	 {"Min. Gas      ","Gaz Min.      ","min. throttle "},
	 {"Max. Gas      ","Gaz Max.      ","max. throttle "},
	 {"Kompasswirkung","Effet compas  ","compass effect"},
	 {"Carefree St.  ","Carefree Ctrl ","Carefree Ctrl "},
	 {"Unterspannung ","Sous tension  ","undervoltage  "},
	 {"Not Gas Zeit  ","Duree secours ","Emerg.Thr.Time"},
	 {"Not Gas       ","Gaz de secours","Emerg.Throttle"},
	 
	 // group 9 : gyro
	 
	 {"Gyro P        ","Gyro P        ","Gyro P        "},
	 {"Gyro I        ","Gyro I        ","Gyro I        "},
	 {"Gyro D        ","Gyro D        ","Gyro D        "},
	 {"Gier P        ","Lacet P       ","Lacet P       "},
	 {"Gier I        ","Lacet I       ","Lacet I       "},
	 {"Dynamische St.","Stab dynamique","dynamic stabi."},
	 {"Drehratenbeg. ","Limit vit Rota","RotRate limit."},
	 {"ACC/Gyro Fak. ","ACC/Gyro Fact ","ACC/Gyro Fact "},
	 {"ACC/Gyro Komp.","Comp ACC/Gyro ","Comp ACC/Gyro "},
	 {"Hauptregler I ","Regul princ I ","Main I        "},
	 {"Drifkompensat.","Compens deriv ","drift Compens."},
	 {"Gyro stab.    ","Gyro stability","Gyro stability"},
	 
	 // group 10: benutzer
	 
	 {"Parameter 1   ","Parameter 1   ","Parameter 1   "},
	 {"Parameter 2   ","Parameter 2   ","Parameter 2   "},
	 {"Parameter 3   ","Parameter 3   ","Parameter 3   "},
	 {"Parameter 4   ","Parameter 4   ","Parameter 4   "},
	 {"Parameter 5   ","Parameter 5   ","Parameter 5   "},
	 {"Parameter 6   ","Parameter 6   ","Parameter 6   "},
	 {"Parameter 7   ","Parameter 7   ","Parameter 7   "},
	 {"Parameter 8   ","Parameter 8   ","Parameter 8   "},
	 
	 
	 // group 11: achskoppl
	 
	 {"Achs(e.)koppl.","(De)Coupl Axes","(De)Coupl Axes"},
	 {"Gier pos. Kopp","Retroac lacet ","Retroac lacet "},
	 {"Nick/Roll Kopp","Retro roul/tan","Retro roul/tan"},
	 {"Gier Korrektur","Correct lacet ","Correct lacet "},
	 
	 // group 12: mixer
	 
	 {"Orientierung  ","Orientierung  ","Orientation   "}
	 
};
  
